/** @packageDocumentation
 * @module Geometry
 */
import { Point3d, Transform } from "@bentley/geometry-core";
/** Represents a bounding sphere.  Optional optimization for FrustumPlane containment test.
 * @public
 */
export declare class BoundingSphere {
    center: Point3d;
    radius: number;
    constructor(center?: Point3d, radius?: number);
    init(center: Point3d, radius: number): void;
    transformBy(transform: Transform, result: BoundingSphere): BoundingSphere;
}
//# sourceMappingURL=BoundingSphere.d.ts.map