"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module IpcSocket
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.iTwinChannel = void 0;
/**
 * The prefix for all IpcSocket channels to disambiguate from system channels.
 * @internal
 * */
const iTwinChannel = (channel) => `itwin.${channel}`;
exports.iTwinChannel = iTwinChannel;
//# sourceMappingURL=IpcSocket.js.map