/** @packageDocumentation
 * @module RpcInterface
 */
/** Manages pending RPC requests and responses.
 * @internal
 */
export declare class RpcPendingQueue {
    static instance: RpcPendingQueue;
    static initialize(): void;
    private _pendingInterval;
    private _pending;
    private _pendingLock;
    private constructor();
    private requestEventHandler;
    private enqueuePending;
    private dequeuePending;
    private _pendingIntervalHandler;
    private cleanupPendingQueue;
    private setPendingInterval;
    private clearPendingInterval;
}
//# sourceMappingURL=RpcPendingQueue.d.ts.map