"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/**
 * @packageDocumentation
 * @module iModels
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChangesetType = void 0;
/** Value to indicate whether a changeset contains schema changes or not
 * @public */
var ChangesetType;
(function (ChangesetType) {
    /** changeset does *not* contain schema changes. */
    ChangesetType[ChangesetType["Regular"] = 0] = "Regular";
    /** changeset *does* contain schema changes. */
    ChangesetType[ChangesetType["Schema"] = 1] = "Schema";
})(ChangesetType = exports.ChangesetType || (exports.ChangesetType = {}));
//# sourceMappingURL=ChangesetProps.js.map