"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module ECSQL
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.QueryResponseStatus = exports.QueryPriority = void 0;
/** Queue priority for query and its not guaranteed
 * @public
 */
var QueryPriority;
(function (QueryPriority) {
    QueryPriority[QueryPriority["Low"] = 0] = "Low";
    QueryPriority[QueryPriority["Normal"] = 1] = "Normal";
    QueryPriority[QueryPriority["High"] = 2] = "High";
})(QueryPriority = exports.QueryPriority || (exports.QueryPriority = {}));
/** State of query operations
 * @public
 */
var QueryResponseStatus;
(function (QueryResponseStatus) {
    QueryResponseStatus[QueryResponseStatus["Partial"] = 3] = "Partial";
    QueryResponseStatus[QueryResponseStatus["Done"] = 2] = "Done";
    QueryResponseStatus[QueryResponseStatus["Error"] = 5] = "Error";
    QueryResponseStatus[QueryResponseStatus["Timeout"] = 4] = "Timeout";
    QueryResponseStatus[QueryResponseStatus["PostError"] = 6] = "PostError";
    QueryResponseStatus[QueryResponseStatus["Cancelled"] = 7] = "Cancelled";
})(QueryResponseStatus = exports.QueryResponseStatus || (exports.QueryResponseStatus = {}));
//# sourceMappingURL=Paging.js.map