"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
__exportStar(require("./AmbientOcclusion"), exports);
__exportStar(require("./AnalysisStyle"), exports);
__exportStar(require("./BackgroundMapSettings"), exports);
__exportStar(require("./Base64EncodedString"), exports);
__exportStar(require("./BriefcaseTypes"), exports);
__exportStar(require("./Camera"), exports);
__exportStar(require("./ChangedElements"), exports);
__exportStar(require("./ChangedEntities"), exports);
__exportStar(require("./ChangesetProps"), exports);
__exportStar(require("./ClipStyle"), exports);
__exportStar(require("./CloudStorage"), exports);
__exportStar(require("./CloudStorageTileCache"), exports);
__exportStar(require("./Code"), exports);
__exportStar(require("./ColorByName"), exports);
__exportStar(require("./ColorDef"), exports);
__exportStar(require("./CommonLoggerCategory"), exports);
__exportStar(require("./ContextRealityModel"), exports);
__exportStar(require("./DisplayStyleSettings"), exports);
__exportStar(require("./domains/FunctionalElementProps"), exports);
__exportStar(require("./domains/GenericElementProps"), exports);
__exportStar(require("./ECSqlTypes"), exports);
__exportStar(require("./ElementProps"), exports);
__exportStar(require("./EmphasizeElementsProps"), exports);
__exportStar(require("./EntityProps"), exports);
__exportStar(require("./FeatureGates"), exports);
__exportStar(require("./FeatureIndex"), exports);
__exportStar(require("./FeatureSymbology"), exports);
__exportStar(require("./FeatureTable"), exports);
__exportStar(require("./Fonts"), exports);
__exportStar(require("./Frustum"), exports);
__exportStar(require("./GeoCoordinateServices"), exports);
__exportStar(require("./geometry/AdditionalTransform"), exports);
__exportStar(require("./geometry/AreaPattern"), exports);
__exportStar(require("./geometry/BoundingSphere"), exports);
__exportStar(require("./geometry/Cartographic"), exports);
__exportStar(require("./geometry/CoordinateReferenceSystem"), exports);
__exportStar(require("./geometry/ElementGeometry"), exports);
__exportStar(require("./geometry/FrustumPlanes"), exports);
__exportStar(require("./geometry/GeodeticDatum"), exports);
__exportStar(require("./geometry/GeodeticEllipsoid"), exports);
__exportStar(require("./geometry/GeometryStream"), exports);
__exportStar(require("./geometry/ImageGraphic"), exports);
__exportStar(require("./geometry/LineStyle"), exports);
__exportStar(require("./geometry/Placement"), exports);
__exportStar(require("./geometry/Projection"), exports);
__exportStar(require("./geometry/TextString"), exports);
__exportStar(require("./GeometryContainment"), exports);
__exportStar(require("./GeometryParams"), exports);
__exportStar(require("./GeometrySummary"), exports);
__exportStar(require("./Gradient"), exports);
__exportStar(require("./GraphicParams"), exports);
__exportStar(require("./GroundPlane"), exports);
__exportStar(require("./HiddenLine"), exports);
__exportStar(require("./Hilite"), exports);
__exportStar(require("./HSLColor"), exports);
__exportStar(require("./HSVColor"), exports);
__exportStar(require("./Image"), exports);
__exportStar(require("./IModel"), exports);
__exportStar(require("./IModelError"), exports);
__exportStar(require("./IModelVersion"), exports);
__exportStar(require("./ipc/IpcSocket"), exports);
__exportStar(require("./ipc/IpcWebSocket"), exports);
__exportStar(require("./IpcAppProps"), exports);
__exportStar(require("./LightSettings"), exports);
__exportStar(require("./LinePixels"), exports);
__exportStar(require("./MapImagerySettings"), exports);
__exportStar(require("./MapLayerSettings"), exports);
__exportStar(require("./MassProperties"), exports);
__exportStar(require("./MaterialProps"), exports);
__exportStar(require("./ModelClipGroup"), exports);
__exportStar(require("./ModelProps"), exports);
__exportStar(require("./NativeAppProps"), exports);
__exportStar(require("./OctEncodedNormal"), exports);
__exportStar(require("./Paging"), exports);
__exportStar(require("./PlanarClipMask"), exports);
__exportStar(require("./PlanProjectionSettings"), exports);
__exportStar(require("./QPoint"), exports);
__exportStar(require("./Render"), exports);
__exportStar(require("./RenderMaterial"), exports);
__exportStar(require("./RenderSchedule"), exports);
__exportStar(require("./RenderTexture"), exports);
__exportStar(require("./RgbColor"), exports);
__exportStar(require("./RpcInterface"), exports);
__exportStar(require("./RpcManager"), exports);
__exportStar(require("./SkyBox"), exports);
__exportStar(require("./Snapping"), exports);
__exportStar(require("./SolarCalculate"), exports);
__exportStar(require("./SolarShadows"), exports);
__exportStar(require("./SpatialClassification"), exports);
__exportStar(require("./SubCategoryAppearance"), exports);
__exportStar(require("./SubCategoryOverride"), exports);
__exportStar(require("./TerrainSettings"), exports);
__exportStar(require("./TextureMapping"), exports);
__exportStar(require("./TextureProps"), exports);
__exportStar(require("./ThematicDisplay"), exports);
__exportStar(require("./Thumbnail"), exports);
__exportStar(require("./TileProps"), exports);
__exportStar(require("./Tween"), exports);
__exportStar(require("./TxnAction"), exports);
__exportStar(require("./ViewDetails"), exports);
__exportStar(require("./ViewFlags"), exports);
__exportStar(require("./ViewProps"), exports);
__exportStar(require("./rpc/DevToolsRpcInterface"), exports);
__exportStar(require("./rpc/IModelReadRpcInterface"), exports);
__exportStar(require("./rpc/IModelTileRpcInterface"), exports);
__exportStar(require("./rpc/IModelWriteRpcInterface"), exports);
__exportStar(require("./ModelGeometryChanges"), exports);
__exportStar(require("./rpc/SnapshotIModelRpcInterface"), exports);
__exportStar(require("./rpc/TestRpcManager"), exports);
__exportStar(require("./rpc/WipRpcInterface"), exports);
__exportStar(require("./rpc/core/RpcConfiguration"), exports);
__exportStar(require("./rpc/core/RpcConstants"), exports);
__exportStar(require("./rpc/core/RpcControl"), exports);
__exportStar(require("./rpc/core/RpcInvocation"), exports);
__exportStar(require("./rpc/core/RpcMarshaling"), exports);
__exportStar(require("./rpc/core/RpcOperation"), exports);
__exportStar(require("./rpc/core/RpcPendingQueue"), exports);
__exportStar(require("./rpc/core/RpcProtocol"), exports);
__exportStar(require("./rpc/core/RpcRegistry"), exports);
__exportStar(require("./rpc/core/RpcRequest"), exports);
__exportStar(require("./rpc/core/RpcRequestContext"), exports);
__exportStar(require("./rpc/core/RpcRoutingToken"), exports);
__exportStar(require("./rpc/core/RpcPush"), exports);
__exportStar(require("./rpc/web/BentleyCloudRpcManager"), exports);
__exportStar(require("./rpc/web/BentleyCloudRpcProtocol"), exports);
__exportStar(require("./rpc/web/OpenAPI"), exports);
__exportStar(require("./rpc/web/RpcMultipart"), exports);
__exportStar(require("./rpc/web/WebAppRpcProtocol"), exports);
__exportStar(require("./rpc/web/WebAppRpcRequest"), exports);
__exportStar(require("./tile/B3dmTileIO"), exports);
__exportStar(require("./tile/CompositeTileIO"), exports);
__exportStar(require("./tile/ElementGraphics"), exports);
__exportStar(require("./tile/GltfTileIO"), exports);
__exportStar(require("./tile/I3dmTileIO"), exports);
__exportStar(require("./tile/IModelTileIO"), exports);
__exportStar(require("./tile/PntsTileIO"), exports);
__exportStar(require("./tile/TileIO"), exports);
__exportStar(require("./tile/TileMetadata"), exports);
__exportStar(require("./WhiteOnWhiteReversalSettings"), exports);
/** @docs-package-description
 * The imodeljs-common package contains classes for working with iModels that can be used in both [frontend]($docs/learning/frontend/index.md) and [backend]($docs/learning/backend/index.md).
 */
/**
 * @docs-group-description Entities
 * Definitions of the "props" interfaces and types that define the [wire format]($docs/learning/wireformat.md) for communication between the frontend and backend about entities (models, elements, etc) contained in an iModel.
 */
/**
 * @docs-group-description Codes
 * Types for working with [Codes]($docs/bis/intro/codes.md).
 */
/**
 * @docs-group-description Geometry
 * Types for working with geometry.
 */
/**
 * @docs-group-description Serialization
 * Types for serializing geometry
 */
/**
 * @docs-group-description Views
 * Types for defining graphical views of the contents of an iModel.
 */
/**
 * @docs-group-description DisplayStyles
 * Types for describing how the contents of Views should be rendered.
 */
/**
 * @docs-group-description Rendering
 * Types describing geometry, views, and symbology for consumption by a display system.
 */
/**
 * @docs-group-description Symbology
 * Types that define the appearance of geometry.
 */
/**
 * @docs-group-description iModels
 * Types for working with [iModels]($docs/learning/IModels.md) in both the frontend and backend.
 */
/**
 * @docs-group-description RpcInterface
 * Types for working with [RpcInterfaces]($docs/learning/RpcInterface.md).
 */
/**
 * @docs-group-description IpcSocket
 * Types for working with [IpcInterfaces]($docs/learning/IpcInterface.md).
 */
/**
 * @docs-group-description ECSQL
 * Types for working with [ECSQL]($docs/learning/ECSQL.md), [Spatial Queries]($docs/learning/SpatialQueries.md), and [ECSQL Geometry Functions]($docs/learning/GeometrySqlFuncs.md).
 */
/**
 * @docs-group-description Logging
 * Logger categories used by this package.
 */
/**
 * @docs-group-description CloudStorage
 * Types for working with Cloud Storage.
 */
/**
 * @docs-group-description Tween
 * Tweening library adapted from tween.js.
 */
/**
 * @docs-group-description Tile
 * Types for working with 3d tile formats.
 */
/**
 * @docs-group-description Utils
 * Miscellaneous utility classes.
 */
/**
 * @docs-group-description NativeApp
 * [Native applications]($docs/learning/NativeApps.md)
 */
//# sourceMappingURL=imodeljs-common.js.map