"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module RpcInterface
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.RpcRoutingToken = void 0;
/** @public */
class RpcRoutingToken {
    constructor(id, debugLabel) {
        this.id = id;
        this.debugLabel = debugLabel;
    }
    static generate(debugLabel = "") {
        return new RpcRoutingToken(++this._next, debugLabel);
    }
}
exports.RpcRoutingToken = RpcRoutingToken;
RpcRoutingToken._next = -1;
RpcRoutingToken.default = RpcRoutingToken.generate("default");
//# sourceMappingURL=RpcRoutingToken.js.map