/** @packageDocumentation
 * @module RpcInterface
 */
import { RpcProtocolEvent } from "../core/RpcConstants";
import { RpcInvocation } from "../core/RpcInvocation";
import { RpcRequest } from "../core/RpcRequest";
/** @internal */
export declare class WebAppRpcLogging {
    static logProtocolEvent(event: RpcProtocolEvent, object: RpcRequest | RpcInvocation): Promise<void>;
    private static getRpcInterfaceName;
    private static findPathIds;
    private static buildOperationDescriptor;
    private static logRequest;
    private static logResponse;
    private static logErrorFrontend;
    private static logErrorBackend;
}
//# sourceMappingURL=WebAppRpcLogging.d.ts.map