/** @packageDocumentation
 * @module RpcInterface
 */
/// <reference types="node" />
import { RpcSerializedValue } from "../../core/RpcMarshaling";
export declare class RpcMultipartParser {
    private _headerFieldMark;
    private _headerValueMark;
    private _partDataMark;
    private _partBoundaryFlag;
    private _headerFieldDecoder;
    private _headerValueDecoder;
    private _headerField;
    private _partHeaders;
    private _partName;
    private _partChunks;
    private _headerValue;
    private _boundary;
    private _buffer;
    private _value;
    constructor(contentType: string, buffer: Buffer);
    parse(): RpcSerializedValue;
    private _onParsePartBegin;
    private _clearPartVars;
    private _onParseHeaderField;
    private _onParseHeaderValue;
    private _onParseHeaderEnd;
    private _onParsePartData;
    private _onParsePartEnd;
    private _onParseHeadersEnd;
}
//# sourceMappingURL=RpcMultipartParser.d.ts.map